## usplash 0.5.25

=== debian/changelog ===
usplash (0.5.25) intrepid; urgency=low

  * libusplash.h: Export usplash_timeout_get_string() definition and provide a
    backward compatibility definition for usplash_get_string(), which got
    more or less accidentally removed in r174. This is a prerequisite for
    fixing bug 114688. Thanks to Andrea Gasparini for the patch!
    (LP: #224709)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Oct 2008 23:39:43 +0200

usplash (0.5.24) intrepid; urgency=low

  * debian/usplash.init, stop(): Call usplash_down if usplash is not already
    running. In previous releases, the display manager started it, but in the
    modern ConsoleKit world, nothing else triggers it any more. (LP: #264696)
  * debian/rules: Move stop rc.d priority to 02, to avoid racing with gdm
    (which is also at 01) when using init script parallelization. 
  * Add debian/usplash.preinst to do above rc.d priority migration on updates.
    (Needs to be kept until after the next LTS)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Oct 2008 12:02:24 +0200

usplash (0.5.23) intrepid; urgency=low

  * usplash_write.c: do not perror(open) if EACCESS (LP: #251656).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 28 Jul 2008 09:50:22 -0500

usplash (0.5.22) intrepid; urgency=low

  * usplash-theme.h: Add a "void* private" pointer to the theme, so that
    themes have an easy way of storing some custom data. Bump THEME_VERSION to
    3 to reflect the ABI change. Thanks to David Härdeman for the patch!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Jul 2008 19:11:12 +0100

usplash (0.5.21) intrepid; urgency=low

  * Sync with Debian Sid's 0.5.19-2 to reduce Delta to Debian:
    - debian/control: Only specify architectures where usplash works.
    - debian/control: Add usplash Recommends: a theme.
    - debian/control: Fix ${source:Version} → ${binary:Version}.
    - debian/libusplash-dev.links: Fix link to libusplash.so.0 to avoid
      dpkg-shlibdeps confusion. (Debian #424731)
    - Add debian/lsb-base-logging.sh to the source. It is not shipped in
      Ubuntu though, since Ubuntu's lsb-base package already provides the
      script.
    - Add debian/splash-functions and install it to /lib/init/. This
      implements the new sysvinit's API for generic splash screen support.
    - debian/rules: Do not ignore "make clean" errors.
    - initramfs/scripts/init-top/usplash, usplash_down: Recognize "nosplash"
      kernel parameter.
    - debian/usplash.init: Call console-screen.sh init script with "start"
      argument to avoid relying on undocumented behaviour. (Debian #457655)
    - debian/usplash.init: Drop useless grep call.
    - debian/usplash.init: More robust parsing of /proc/cmdline.
    - debian/rules: Create kbd and console-tools config.d scripts to avoid
      them starting while usplash is running.
    - Bump Standards-Version (no changes necessary).
  * debian/control: Set Maintainer to Ubuntu core-dev.
  * debian/copyright: Small updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 May 2008 21:41:59 +0200

usplash (0.5.20) intrepid; urgency=low

  * usplash.{c,8}: add "-p" option to allow starting in pulsating mode.
  * scripts/init-top/usplash: remove 1 second sleep, use "-p" instead.

 -- Kees Cook <kees@ubuntu.com>  Thu, 22 May 2008 09:45:07 -0700

=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.0), libgd2-xpm-dev, libpng-dev, libx86-dev [amd64 i386 lpia]
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/usplash/ubuntu

Package: usplash
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.40ubuntu30)
Recommends: usplash-theme-ubuntu | usplash-theme
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: libusplash0
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends}
Replaces: usplash (<< 0.4-40)
Description: userspace bootsplash library
 This package contains the runtime library for the usplash package.

Package: libusplash-dev
Section: libdevel
Architecture: amd64 armel i386 lpia powerpc sparc
Conflicts: usplash-dev
Replaces: usplash-dev
Depends: ${shlibs:Depends}, libusplash0 (= ${binary:Version})
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme,
 including an example

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the usplash package.
# Copyright © 2006 Canonical Ltd.
# Author: Scott James Remnant <scott@ubuntu.com>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

ifeq ($(DEB_HOST_ARCH), $(findstring $(DEB_HOST_ARCH),i386 amd64 lpia))
	BACKEND = "BACKEND=svga"
else
	BACKEND =
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) $(BACKEND)

	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Ship initramfs hooks and scripts
	install -d $(CURDIR)/debian/tmp/usr/share/initramfs-tools
	cp -a initramfs/* $(CURDIR)/debian/tmp/usr/share/initramfs-tools 
	chmod a+x $(CURDIR)/debian/tmp/usr/share/initramfs-tools/scripts/init-top/*

	# Avoid console-tools and kbd starting when usplash is running
	install -d $(CURDIR)/debian/usplash/etc/console-tools/config.d
	install -d $(CURDIR)/debian/usplash/etc/kbd/config.d
	echo "pidof usplash && exit 0" > $(CURDIR)/debian/usplash/etc/console-tools/config.d/usplash
	chmod a+x $(CURDIR)/debian/usplash/etc/console-tools/config.d/usplash
	echo "pidof usplash && exit 0" > $(CURDIR)/debian/usplash/etc/kbd/config.d/usplash
	chmod a+x $(CURDIR)/debian/usplash/etc/kbd/config.d/usplash

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_install --sourcedir=debian/tmp
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinit -r --no-start -- start 98 2 3 4 5 . stop 02 0 1 6 .
	dh_link
	dh_strip
	dh_compress -X example
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp

	$(MAKE) clean

	dh_clean


.PHONY: build install binary-indep binary-arch binary clean

## usplash 0.5.31

=== debian/changelog ===
usplash (0.5.31) jaunty; urgency=low

  * {lib,}usplash.c: do not clear text area before doing input prompting.
    If the text area is cleared, TEXT-URGENT information is wiped from
    the screen before prompting.  Instead, correctly clear text area on
    start-up regardless of verbosity level.

 -- Kees Cook <kees@ubuntu.com>  Mon, 09 Mar 2009 15:12:58 -0700

usplash (0.5.30) jaunty; urgency=low

  * Providing a background image for all possible resolutions has become too
    cumbersome. Thus change theme definitions to be able to provide just a
    logo, its screen position, and an explicit theme size: (LP: #64147)
    - usplash-theme.h: Add new fields theme_width, theme_height, pixmap_x,
      pixmap_y. Bump THEME_VERSION for this.
    - usplash-theme.h: Add new functions usplash_theme_width() and
      usplash_theme_height() which usplash and themes should use instead of an
      explicit pixmap->width/height. These functions will return
      theme_{width,height} and fall back to the pixmap's dimensions if the
      theme size is 0.
    - libusplash.c: Implement above two functions, update the code to use them
      instead of the pixmap dimensions, and add the pixmap_{x,y} offset when
      drawing pixmap.
    - This will require all usplash themes to be rebuilt, define above
      four fields, and replace theme->pixmap->width() with
      usplash_theme_width(theme) (likewise for height). If you want to retain
      full screen pixmaps, just set all of those fields to 0.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2009 21:41:36 +0100

usplash (0.5.29) jaunty; urgency=low

  * libusplash.c: Revert signal handler changes which seem to have caused
    problems with Xorg initialization in some situations (LP: #327230).

 -- Kees Cook <kees@ubuntu.com>  Tue, 10 Feb 2009 11:27:11 -0800

usplash (0.5.28) jaunty; urgency=low

  * libusplash.{c,h}, usplash.c:
    - Move pulsate and animation pipes into libusplash to unblock animations
      while waiting for stdin (LP: #326709).
    - Process animations between commands to avoid falling behind when
      running in verbose mode.
    - Drop unneeded signal-blocking code.

 -- Kees Cook <kees@ubuntu.com>  Wed, 04 Feb 2009 06:47:38 -0800

usplash (0.5.27) jaunty; urgency=low

  * debian/usplash.py: Added information to be gathered when using apport to
    report a bug about usplash (LP: #319333). 

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Jan 2009 18:50:28 +0100

usplash (0.5.26) jaunty; urgency=low

  * Fix various compiler warnings.
  * debian/splash-functions: Kill usplash more gracefully in splash_stop;
    introduces new SPLASH_ORIG_CONSOLE environment variable which can be
    checked by other init scripts (LP: #304136).
  * Notify the main loop by means of a self-pipe when SIGALRM is triggered,
    rather than attempting to animate the display from a signal handler
    (thanks to Andrea Gasparini for testing and adjustment; LP: #259761).
  * Sleep for 0.1 second rather than 1 second in init script while waiting
    for usplash to die, and adjust the loop count both there and in
    splash-functions to match the previous behaviour of giving usplash up to
    10 seconds to go away (LP: #313574).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 12:00:21 +0000

## usplash 0.5.32jolicloud5

=== debian/changelog ===
usplash (0.5.32jolicloud5) robby; urgency=low

  * Fixed an issue where the background text colour was off in 16bpp
    mode

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 16 Jun 2010 18:03:02 +0200

usplash (0.5.32jolicloud4) robby; urgency=low

  * Fix spurious mknod error messages

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 08 Jun 2010 18:49:44 +0200

usplash (0.5.32jolicloud3) robby; urgency=low

  * Revert "Disable usplash_down on nVidia devices; temp hack to avoid
    screen corruption issues"

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 17 Mar 2010 04:59:44 -0600

usplash (0.5.32jolicloud2) robby; urgency=low

  * Disable usplash_down on nVidia devices; temp hack to avoid screen
    corruption issues

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 15 Mar 2010 14:27:36 -0600

usplash (0.5.32jolicloud1) robby; urgency=low

  * Jolicloud repackaging and typo fix

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Fri, 20 Nov 2009 13:08:25 +0100

usplash (0.5.31ubuntu1) jaunty; urgency=low

  *usplash_svga.c: Added missing 16-bit special case for usplash_svga_clear()  

 -- Luca Béla Palkovics <luca.bela.palkovics@gmail.com>  Sun, 19 Jul 2009 13:51:47 +0200

## usplash 0.5.49

=== debian/changelog ===
usplash (0.5.49) karmic; urgency=low

  * Fix remaining cases of usplash launch that need to have -p specified
    (really closes LP: #458398).

 -- Kees Cook <kees@ubuntu.com>  Mon, 26 Oct 2009 13:47:12 -0700

usplash (0.5.48) karmic; urgency=low

  [ Kees Cook ]
  * usplash.8: document --background and --pidfile.
  * debian/usplash.upstart: as in Jaunty, start in pulsate mode for themes
    that define a progress bar (LP: #458398).

  [ Johan Kiviniemi ]
  * Let clients CLEAR old messages away when in quiet mode.
    - Fixes LP: #215666: mountall’s messages such as “foo cannot yet be
      mounted” would be left on the screen even after success.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 26 Oct 2009 09:30:00 +0000

usplash (0.5.47) karmic; urgency=low

  [ Colin Watson ]
  * Dismiss splash screen if Escape is pressed outside an INPUT* command
    (LP: #195666).

  [ Scott James Remnant ]
  * Build on the above patch adding an ESCAPE command that takes the pid
    of a process.  When Escape is pressed, if this command has been received
    and no further INPUT* commands received, SIGINT is sent to that process
    instead.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 20 Oct 2009 11:23:34 +0100

usplash (0.5.46) karmic; urgency=low

  * usplash_svga.c, usplash_svga_set_palette(): Do not destroy the palette
    that gets passed as an argument. If in 8 bpp mode, create a copy, in other
    modes don't touch it at all. (LP: #448988)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Oct 2009 18:07:05 +0200

usplash (0.5.45) karmic; urgency=low

  * Make sure that when we open devices we use O_NOCTTY, since otherwise
    when run under Upstart we end up with controlling terminals that we
    didn't expect.
  * Then after we've forked into a child process, we call the TIOCSCTTY
    ioctl() to take control of the terminal we're on so we get input.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 15 Oct 2009 23:18:30 +0100

usplash (0.5.44) karmic; urgency=low

  [ Colin Watson ]
  * Add usplash_backend_name() function to the svgalib and bogl backends,
    returning "svga" and "bogl" respectively.

  [ Scott James Remnant ]
  * Move the console restoration into an atexit() function registered
    before the one from the svga or bogl backends; that way switching
    the VT doesn't result in svgalib having a panic attack and vomiting
    all over everything.
  * Remove the svgalib code guarding against restoring text mode when in
    a child process of the one that initialised the display; since we
    daemonise, this code meant we never restored text mode and left a
    corrupted or blank display.  LP: #448977, #447692.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 04:36:31 +0100

usplash (0.5.43) karmic; urgency=low

  * usplash.c: Provide a new FADEOUT command to fade out the logo without
    QUITing. Change QUIT to not fade it out again if FADEOUT was sent.
    Document the new command in usplash_write.8.
  * debian/splash-functions, usplash_stop(): In runlevel 0/6, send FADEOUT
    command, to restore fade-out effect after the changes in r310 (which
    changed usplash not to terminate on shutdown/reboot any more). 
    (LP: #450454)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Oct 2009 22:48:49 +0200

usplash (0.5.42) karmic; urgency=low

  [ Colin Watson ]
  * Fix the Upstart job's pre-start script to stop the job when conditions
    are such that it shouldn't be started, without using 'normal exit 0 1'.

  [ Steve Langasek ]
  * Stop the job when mountall-shell is running, so that users who've been
    dropped to a shell can actually interact with it.  LP: #448214.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 10 Oct 2009 14:43:46 -0700

usplash (0.5.41) karmic; urgency=low

  [ Colin Watson ]
  * Add new options --background and --pidfile, to stop usplash startup
    being racy and to save a second on system shutdown. The pid file is now
    only written after usplash has opened its FIFO and set up the console.
  * Always enable usplash for 9.10 to hide boot messages, since we aren't
    yet ready to make it show up only on relatively slow boots (usplash
    tends to slow down boot on SSD-based systems). We'll revisit this for
    10.04 (LP: #444362).
  * Switch console on normal exit from usplash (i.e. the QUIT command or
    SIGTERM/SIGINT) rather than doing it after usplash exits.
  * On shutdown, wait for X to get the console out of graphics mode before
    starting our own setup.
  * Convert splash-functions to rely on usplash's Upstart job, and avoid
    killing usplash on system shutdown.
  * Redirect init script messages to tty8 if usplash was started during the
    current boot, regardless of the current virtual console (LP: #440871).

  [ Scott James Remnant ]
  * Replace --ignore-sigterm option with proper SIGTERM handling (and SIGINT)
    that causes the main loop to exit just as if it had timed out.
  * Move the shell logic that reads the framebuffer size into the C code to
    save on shell parsing overhead, and avoid the defeating of Upstart
    daemon tracking.
  * Have usplash read the kernel command-line itself and imply -v if
    "quiet" is not present.
  * Merge the usplash and usplash-down Upstart jobs, this neatly means
    that they don't have to check for each other with pidof, and you can
    use "start usplash" and "stop usplash" when you really mean just that.
  * usplash should not be a task (we want "start usplash" to return once
    usplash is running).
  * Fix the standard input flushing function to avoid an infinite loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Oct 2009 11:34:31 +0100

usplash (0.5.40) karmic; urgency=low

  * libusplash.c: Move waiting out of dim_logo() into fade_logo(), so that we
    can use dim_logo() for asynchronous pulsating as well.
  * libusplash.{h,c}: Add pulse_logo() which lets the logo pulsate another


=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 
 Package: usplash
 Architecture: amd64 armel i386 lpia powerpc sparc
-Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.40ubuntu30)
+Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu50), upstart (>= 0.6.3-4)
 Recommends: usplash-theme-ubuntu | usplash-theme
+Breaks: gdm (<< 2.28.0-0ubuntu8), kdm (<< 4:4.3.1-0ubuntu14)
 Description: Userspace bootsplash utility
  Usplash is a userspace application that uses the Linux framebuffer interface
  to draw a splash screen at boot. It has a companion utility that is able to

## usplash 0.5.51

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
CPPFLAGS=-D_GNU_SOURCE
INCLUDES=-Ibogl

COMPILE = $(CC) $(CPPFLAGS) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755


TARGETS = usplash usplash_write

usplash_BACKEND_LDFLAGS = -ldl

ifeq ($(BACKEND), svga)
	BACKEND_dir = bogl svgalib
	usplash_BACKEND = usplash_svga.o usplash_bogl.o
	usplash_BACKEND_LIBS = svgalib/staticlib/libvgagl.a svgalib/staticlib/libvga.a bogl/libbogl.a
	usplash_BACKEND_LDFLAGS += -lx86
	CFLAGS += -DSVGA
else
	BACKEND_dir = bogl
	usplash_BACKEND = usplash_bogl.o
	usplash_BACKEND_LIBS = bogl/libbogl.a
endif

all: $(BACKEND_dir) $(TARGETS)

libusplash_OBJECTS = libusplash.o usplash-testcard.o usplash-testcard-theme.o $(usplash_BACKEND) bogl/helvB10.o
usplash_LIBS = 

usplash: libusplash.so usplash.c
	$(COMPILE) -c usplash.c -o usplash.o
	$(LINK) -o $@ usplash.o -L. -lusplash

libusplash.so.0: $(libusplash_OBJECTS) $(usplash_BACKEND_LIBS)
	$(CC) -Wl,-soname=$@ -shared -o $@ $^ $(usplash_BACKEND_LDFLAGS)

libusplash.so: libusplash.so.0
	ln -sf $< $@

usplash_write_OBJECTS = usplash_write.o

usplash_write: $(usplash_write_OBJECTS)
	$(LINK) -o $@ $^


bogl:
	$(MAKE) -C bogl

svgalib:
	$(MAKE) -C svgalib

.c.o:
	$(COMPILE) -o $@ -c $<

.png.c:
	./bogl/pngtobogl $< > $@

.bdf.c:
	./bogl/bdftobogl $< > $@


install:
	$(INSTALL) -d $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)/lib $(DESTDIR)/usr/include $(DESTDIR)/usr/bin
	$(INSTALL_PROGRAM) usplash $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) usplash_write $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) usplash_down $(DESTDIR)/sbin
	$(INSTALL_PROGRAM) update-usplash-theme $(DESTDIR)/usr/sbin
	$(INSTALL_PROGRAM) libusplash.so.0 $(DESTDIR)/lib/libusplash.so.0
	ln -sf /lib/libusplash.so.0 $(DESTDIR)/lib/libusplash.so
	$(INSTALL_PROGRAM) bogl/pngtobogl $(DESTDIR)/usr/bin/pngtousplash
	$(INSTALL_PROGRAM) bogl/bdftobogl $(DESTDIR)/usr/bin/bdftousplash
	$(INSTALL_DATA) usplash-theme.h $(DESTDIR)/usr/include/usplash-theme.h
	$(INSTALL_DATA) usplash_backend.h $(DESTDIR)/usr/include/usplash_backend.h
	$(INSTALL_DATA) libusplash.h $(DESTDIR)/usr/include/libusplash.h

clean:
	-$(MAKE) -C bogl clean
	-$(MAKE) -C svgalib clean
	-rm -f $(TARGETS) $(usplash_OBJECTS) $(usplash_write_OBJECTS) libusplash.so*
	-rm -f *~	
	-rm -f *.o


.PHONY: all bogl svgalib install clean
.SUFFIXES: .png .bdf

=== debian/changelog ===
usplash (0.5.51) lucid; urgency=low

  * initramfs/hooks/usplash, initramfs/scripts/init-top/usplash: Also
    change the option here too.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 01 Dec 2009 04:10:16 +0000

usplash (0.5.50) lucid; urgency=low

  * initramfs/conf-hooks.d/usplash: Update to set FRAMEBUFFER=y

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 01 Dec 2009 00:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: usplash
 Architecture: amd64 armel i386 lpia powerpc sparc
-Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu50), upstart (>= 0.6.3-4)
+Depends: ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, initramfs-tools (>= 0.92bubuntu55), upstart (>= 0.6.3-4)
 Recommends: usplash-theme-ubuntu | usplash-theme
 Breaks: gdm (<< 2.28.0-0ubuntu8), kdm (<< 4:4.3.1-0ubuntu14)
 Description: Userspace bootsplash utility

=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,8 @@
 	dh_strip
 	dh_compress -X example
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
-	dh_makeshlibs
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## usplash 0.5.52

=== debian/changelog ===
usplash (0.5.52) maverick; urgency=low

  * Set DEB_HOST_ARCH if not passed in the env; LP: #568337.
  * Wrap build-deps and deps.
  * Bump up Standards-Version to 3.8.4.
  * Add ${misc:Depends}.
  * Use https://code.launchpad.net/ in Vcs-Bzr.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 13 May 2010 15:36:23 +0200

=== debian/control ===
Source: usplash
Priority: optional
Section: misc
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.0),
               libgd2-xpm-dev,
               libpng-dev,
               libx86-dev [amd64 i386 lpia]
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/usplash/ubuntu

Package: usplash
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf (>= 0.5) | debconf-2.0,
         initramfs-tools (>= 0.92bubuntu55),
         upstart (>= 0.6.3-4)
Recommends: usplash-theme-ubuntu | usplash-theme
Breaks: gdm (<< 2.28.0-0ubuntu8),
        kdm (<< 4:4.3.1-0ubuntu14)
Description: Userspace bootsplash utility
 Usplash is a userspace application that uses the Linux framebuffer interface
 to draw a splash screen at boot. It has a companion utility that is able to
 send commands to usplash, allowing information about the bootup sequence to
 be displayed in a more attractive way.

Package: libusplash0
Architecture: amd64 armel i386 lpia powerpc sparc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: usplash (<< 0.4-40)
Description: userspace bootsplash library
 This package contains the runtime library for the usplash package.

Package: libusplash-dev
Section: libdevel
Architecture: amd64 armel i386 lpia powerpc sparc
Conflicts: usplash-dev
Replaces: usplash-dev
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libusplash0 (= ${binary:Version})
Description: Theming support files for usplash
 This package contains everything you need to make a usplash theme,
 including an example

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export DH_OPTIONS
 
 CFLAGS = -g -Wall
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
